ISCacheConsistencyManagerMBean
Date: 2014-11-12

org.gcube.informationsystem.cache

## Interface ISCacheConsistencyManagerMBean

- All Known Implementing Classes:
    ISCacheConsistencyManager

      public interface ISCacheConsistencyManagerMBean

  The MBean manages the available cache consistency components (cc). It exposes the standard add/remove/enumerate/activate operations over the cc components.
  Author:
    UoA

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addCCManager(java.lang.String CCManagerFQName)` Add new Cache Consistency Manager (CCM).
    `boolean` | `addCCManagerDynamic(java.lang.String CCManagerFQName, java.lang.String codebase)` Add new Cache Consistency Manager (CCM).
    `boolean` | `delCCManager(java.lang.String CCManagerFQName)` Delete Cache Consistency Manager (CCM).
    `java.lang.String` | `getActiveCCManager()` Get the active CCM.
    `java.lang.String[]` | `getCCManagers()` Get all registered Cache Consistency Managers (CCMs).
    `void` | `setActiveCCManager(java.lang.String CCManagerFQName)` Activate the specified CCM.

- - ### Method Detail

    - #### getCCManagers

          java.lang.String[] getCCManagers()

      Get all registered Cache Consistency Managers (CCMs).
      Returns:
        all registered Cache Consistency Managers (CCMs)

    - #### addCCManager

          boolean addCCManager(java.lang.String CCManagerFQName)
                               throws java.lang.Exception

      Add new Cache Consistency Manager (CCM).
      Parameters:
        `CCManagerFQName` - CCM fully qualified (FQ) class name
      Returns:
        true if this set did not already contain the specified element; false otherwise
      Throws:
        `java.lang.Exception` - in case of error; most probably due to non-accessibility to the specified class

    - #### addCCManagerDynamic

          boolean addCCManagerDynamic(java.lang.String CCManagerFQName,
                                    java.lang.String codebase)
                                      throws java.lang.Exception

      Add new Cache Consistency Manager (CCM).
      Parameters:
        `CCManagerFQName` - CCM fully qualified (FQ) class name
        `codebase` - URL of the jar file that contains the specified class
      Returns:
        true if this set did not already contain the specified element; false otherwise
      Throws:
        `java.lang.Exception` - in case of error; most probably due to non-accessibility to the specified class

    - #### delCCManager

          boolean delCCManager(java.lang.String CCManagerFQName)
                               throws java.lang.Exception

      Delete Cache Consistency Manager (CCM).
      Parameters:
        `CCManagerFQName` - CCM fully qualified (FQ) class name
      Returns:
        true if this set contains the specified element; false otherwise
      Throws:
        `java.lang.Exception` - in case of error

    - #### setActiveCCManager

          void setActiveCCManager(java.lang.String CCManagerFQName)
                                  throws java.lang.Exception

      Activate the specified CCM.
      Parameters:
        `CCManagerFQName` - CCM fully qualified (FQ) class name
      Throws:
        `java.lang.Exception` - in case of the CCM not being added.

    - #### getActiveCCManager

          java.lang.String getActiveCCManager()
                                              throws java.lang.Exception

      Get the active CCM.
      Returns:
        the active CCM
      Throws:
        `java.lang.Exception` - in case of error